The first three hunks are there because the idiom used in the tests is
simply a bug. File::Slurp itself does get it right, it's just in the
tests that forget a defined() there. The bug remained undiscovered
until 5.9.x started to warn about imported redefined subroutines
which were simply missed in 5.8 because of a bug there.

The reason for the patch to t/pod_coverage.t is currently not clear to
me. It's currently just a defensive solution.

diff -urp File-Slurp-9999.12.orig/t/data_list.t File-Slurp-9999.12/t/data_list.t
--- File-Slurp-9999.12.orig/t/data_list.t	2005-10-23 21:39:50.000000000 +0200
+++ File-Slurp-9999.12/t/data_list.t	2006-10-30 06:12:19.000000000 +0100
@@ -10,7 +10,7 @@ use Test::More tests => 2 ;
 
 BEGIN {
 
-	*SEEK_SET = sub { 0 } unless eval { SEEK_SET() } ;
+	*SEEK_SET = sub { 0 } unless defined eval { SEEK_SET() } ;
 }
 
 BEGIN{ 
Only in File-Slurp-9999.12/t: data_list.t~
diff -urp File-Slurp-9999.12.orig/t/data_scalar.t File-Slurp-9999.12/t/data_scalar.t
--- File-Slurp-9999.12.orig/t/data_scalar.t	2005-10-21 06:38:11.000000000 +0200
+++ File-Slurp-9999.12/t/data_scalar.t	2006-10-30 06:12:41.000000000 +0100
@@ -10,7 +10,7 @@ use Test::More tests => 2 ;
 
 BEGIN {
 
-	*SEEK_SET = sub { 0 } unless eval { SEEK_SET() } ;
+	*SEEK_SET = sub { 0 } unless defined eval { SEEK_SET() } ;
 }
 
 BEGIN{ 
Only in File-Slurp-9999.12/t: data_scalar.t~
diff -urp File-Slurp-9999.12.orig/t/handle.t File-Slurp-9999.12/t/handle.t
--- File-Slurp-9999.12.orig/t/handle.t	2005-10-21 06:21:21.000000000 +0200
+++ File-Slurp-9999.12/t/handle.t	2006-10-30 06:12:58.000000000 +0100
@@ -11,7 +11,7 @@ use Test::More ;
 # in case SEEK_SET isn't defined in older perls. it seems to always be 0
 
 BEGIN {
-	*SEEK_SET = sub { 0 } unless eval { SEEK_SET() } ;
+	*SEEK_SET = sub { 0 } unless defined eval { SEEK_SET() } ;
 }
 
 my @pipe_data = (
Only in File-Slurp-9999.12/t: handle.t~
diff -urp File-Slurp-9999.12.orig/t/pod_coverage.t File-Slurp-9999.12/t/pod_coverage.t
--- File-Slurp-9999.12.orig/t/pod_coverage.t	2006-01-19 17:37:06.000000000 +0100
+++ File-Slurp-9999.12/t/pod_coverage.t	2006-10-30 06:06:39.000000000 +0100
@@ -19,6 +19,25 @@ all_pod_coverage_ok(
 			'SEEK_CUR',
 			'SEEK_END',
 			'SEEK_SET',
+
+			'FD_CLOEXEC',
+			'F_DUPFD',
+			'F_GETFD',
+			'F_GETFL',
+			'F_GETLK',
+			'F_RDLCK',
+			'F_SETFD',
+			'F_SETFL',
+			'F_SETLK',
+			'F_SETLKW',
+			'F_UNLCK',
+			'F_WRLCK',
+			'O_ACCMODE',
+			'O_NOCTTY',
+			'O_NONBLOCK',
+			'O_RDWR',
+			'O_TRUNC',
+
 		],
 	}
 ) ;
